#include <mysql/mysql.h>
#include <syslog.h>
#include "Database.h"
#include "Query.h"
#include "IError.h"
#include "SysLog.h"


SysLog::SysLog(const std::string& appname,int option,int facility)
{
	openlog(appname.c_str(), option, facility);
}


SysLog::~SysLog()
{
	closelog();
}


void SysLog::error(Database& db,const std::string& str)
{
	syslog(LOG_ERR, "%s", str.c_str() );
}


void SysLog::error(Database& db,Query& q,const std::string& str)
{
	syslog(LOG_ERR, "%s", str.c_str() );
	syslog(LOG_ERR, "QUERY: %s", q.GetLastQuery().c_str() );
}


